root=2**(1/12)

def ET(refA,semitones):
    freq=refA
    if semitones<0:
        for st in range(abs(semitones)):
            freq=freq/root   
    elif semitones>0:
        for st in range(semitones):
                    freq=freq*root
    return freq